Figure - Bug #115842
00 Test-ST#113421 (New): V400 0O O OO0
O O Test-ST # 113422 (New): V4.00 O --AFO O --monkeyd O

O AFO O EVT20O O Monkeyd Monkeyd O 600 O O O O ANR: com.android.gallery3d 30

2023-02-03 14:06 - CD Testl O

D.X101.2

Status: CLOSED Start date: 2023-02-03
Priority: Normal Due date: 2023-03-15
Assignee: CD Test O % Done: 100%
Category: CD-APP Estimated time: 0.00 hour
Target version:
Need_Info: - Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.0
Resolution: DUPLICATE Degrated: -
Severity: Normal Verified Version:
Reproducibility: Frequently Fixed Version:
Test Type: Monkey Test Root cause: gilies4o0ogonod
Description
oooood
adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch

10 --pct-anyevent 10 --ignore-crashes -v -v -v 43200 2>/sdcard/error.txt 1>/sdcard/info.txt

gooooo

// NOT RESPONDING: com.android.gallery3d (pid 4036)

ANR in com.android.gallery3d (com.android.gallery3d/ filtershow.FilterShowActivity)
PID: 4036

Reason: Input dispatching timed out (Application does not have a focused window)
Parent: com.android.gallery3d/ filtershow.FilterShowActivity

Frozen: false

Load:0.0/0.0/0.0

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=0

full avg10=0.00 avg60=0.00 avg300=0.00 total=0

----- End output from /proc/pressure/memory -----

CPU usage from 146308ms to Oms ago (2023-02-02 02:35:21.195 to 2023-02-02 02:37:47.502):

15% 836/vendor.qti.hardware.display.composer-service: 9.8% user + 5.6% kernel / faults: 511 minor

11% 1513/system_server: 7.7% user + 3.8% kernel / faults: 270672 minor

11% 980/surfaceflinger: 7.9% user + 3.5% kernel / faults: 1518 minor

11% 2350/com.android.systemui: 9.6% user + 1.4% kernel / faults: 48693 minor
6.3% 3070/com.android.deskclock: 5% user + 1.2% kernel / faults: 14278 minor
2.4% 2952/com.android.settings: 2% user + 0.4% kernel / faults: 34952 minor
2% 2848/com.android.launcher3: 1.4% user + 0.6% kernel / faults: 7826 minor
1.4% 3918/com.android.calendar: 1.1% user + 0.3% kernel / faults: 4098 minor
1.4% 4963/adbd: 0.4% user + 0.9% kernel / faults: 5 minor

1.3% 503/logd: 0.3% user + 1% kernel / faults: 175 minor

1.3% 335/kworker/u16:14-kverityd: 0% user + 1.3% kernel

1.2% 470/kworker/u16:16-kverityd: 0% user + 1.2% kernel
1.1% 743/crtc_commit:125: 0% user + 1.1% kernel
0.8% 4036/com.android.gallery3d: 0.6% user + 0.1% kernel / faults: 30865 minor

oo0oo
ftp://cdiot@192.168.87.46/Pre_figure/Test Log/Bug 115842/Tlog.zip

Related issues:
Related to Figure - Bug # 116540: 0 AFO 0 EVT30 O Monkey) Monke... CLOSED 2023-02-24 2023-03-15

History

#1 - 2023-02-03 14:07 - CD TestO O
- Description updated

#2 - 2023-02-06 14:53 - CD APP-0 O
- Status changed from New to ASSIGNED
- Assignee changed from CD APP-0J 0 to CD SYSTEM-0O 0O O

m Current conclusion

goooo

m My analysis

O000COtacel 00 OD0Q00O0DOOO0ODO0ar0O00O00OOOO0OODOOODOOOODOOlgODOO

"main" prio=5 tid=1 Native | group="main" sCount=1 ucsCount=0 flags=1 obj=0x71520948 self=0xb400006ee0ad5010 | sysTid=4036 nice=0 cgrp=default sched=0/0
handle=0x70a9b364f8 | state=S schedstat=( 929864789 291681789 3143 ) utm=66 stm=26 core=0 HZ=100 | stack=0x7ff86ef000-0x7ff86f1000 stackSize=8188KB | held
mutexes=

native: #00 pc 00000000000a2c4c /apex/com.android.runtime/lib64/bionic/libc.so (__epoll_pwait+12)

native: #01 pc 0000000000017ea8 /system/lib64/libutils.so (android::Looper::pollinner(int)+184)

native: #02 pc 0000000000017d84 /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116)

native: #03 pc 0000000000152d3c /system/lib64/libandroid_runtime.so (android::android_os_MessageQueue_nativePollOnce(_JNIEnv*, _jobject*, long, int)+48)

at android.os.MessageQueue.nativePollOnce(Native method)

at android.os.MessageQueue.next(MessageQueue.java:335)

at android.os.Looper.loopOnce(Looper.java:161)

at android.os.Looper.loop(Looper.java:288)

at android.app.Activity Thread.main(Activity Thread.java:7880)

at java.lang.reflect. Method.invoke(Native method)

at com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)

at com.android.internal.0s.Zygotelnit.main(Zygotelnit.java:1009)

m Nextaction
OSystemO 0000000 TlogDOOOOOOOOOODOO

#3 - 2023-02-08 10:20 - CD FWO O
- Assignee changed from CD SYSTEM-[0 0 0 toCD TPM-0 O O

ToO O
000 Ologh O GameModeO O O OO0 OO DO OO Gamemode O O OO
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_115842/Tlog.zip

10 O com.android.gallery3dd 0O 0 0 O O O O O O notify gamemodel 0O 0O 0 O O gamemodel 0 DonO0 O 0O 0O

Game model] O logO

02-02 02:37:41.852 2543 4281 | GameMode_ActivityMonitoringService: Notifying about top task: TaskinfoContainer
[topActivity=ComponentInfo{com.android.gallery3d/com.android.gallery3d.filtershow.FilterShowActivity}, taskld=25, stackld=25, userld=0, displayld=0, position=17
02-02 02:37:41.852 2543 4281 | GameMode_ActivityMonitoringService: WindowMode: 1

02-02 02:37:41.852 2543 4281 E GameMode_ActivityMonitoringService: onActivityLaunch:com.android.gallery3d

02-02 02:37:41.852 2543 4281V GameMode_GameTypeUstils: judge isGame:com.android.gallery3d

02-02 02:37:41.852 2543 4281V GameMode_GpuUtils: fps:60

Game modeld O O

02-02 02:37:41.861 1513 1513 | GameModeConfig: isGameModeOn = false

02-02 02:37:41.861 2543 2543 D GameMode_GameModeService: updateGlobalSettings = gamemode_isgaming
02-02 02:37:41.861 1513 1513 | GameModeConfig: isGameModeOn = false

02-02 02:37:41.861 1513 1513 | GameModeConfig: isDisableVoice = true

20 O com.android.deskclock(d O 0 0O O O O O O O notify gamemoded 0O O O O O gamemoded O O ond O 0O O

Game model] O logO

02-02 02:38:45.389 2543 4281 | GameMode_ActivityMonitoringService: Updating top task to: TaskinfoContainer
[topActivity=ComponentInfo{com.android.deskclock/com.android.deskclock.DeskClock}, taskld=21, stackld=21, userld=0, displayld=0, position=17
02-02 02:38:45.389 2543 4281 | GameMode_ActivityMonitoringService: Notifying about top task: TaskInfoContainer
[topActivity=ComponentInfo{com.android.deskclock/com.android.deskclock.DeskClock}, taskld=21, stackld=21, userld=0, displayld=0, position=17
02-02 02:38:45.389 2543 4281 | GameMode_ActivityMonitoringService: WindowMode: 1

02-02 02:38:45.389 2543 4281 E GameMode_ActivityMonitoringService: onActivityLaunch:com.android.deskclock

02-02 02:38:45.389 2543 4281V GameMode_GameTypeUstils: judge isGame:com.android.deskclock

Game modeld O O

02-02 02:38:45.396 1513 1513 | GameModeConfig: isGameModeOn = false
02-02 02:38:45.396 1513 1513 | GameModeConfig: isGameModeOn = false
02-02 02:38:45.396 1513 1513 | GameModeConfig: isDisableVoice = true

#4 - 2023-02-08 11:25-CD TPM-0 O O

- Assignee changed from CD TPM-O O O to CD APP-0O O

#5 - 2023-02-08 14:44 - CD APP-0 O
- Due date set to 2023-02-15

#6 - 2023-02-16 09:30 - CD APP-0 O
- Due date changed from 2023-02-15 to 2023-02-17

#7 - 2023-02-20 09:14 - CD APP-0 O
- Due date changed from 2023-02-17 to 2023-02-28

#8 - 2023-02-27 14:45 - CD APP-0O O
- Due date changed from 2023-02-28 to 2023-03-15

#9 - 2023-02-28 10:23 - CD APP-00 0

- Status changed from ASSIGNED to NEED_INFO
- Assignee changed from CD APP-[0 O to CD Test[] O

toO O
OOANROOODODOOOOO#MIMMOODODOODOODODOOOOO
#10 - 2023-02-28 10:49 - CD Testd O

- Status changed from NEED_INFO to RESOLVED
- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Root cause setto [0 1165400 O O O O O

guexo000DOOO0D1e400 00000000

#11 - 2023-02-28 10:50 - CD TestO O

- Status changed from RESOLVED to VERIFIED

#12 - 2023-02-28 10:50 - CD TestO O
- Status changed from VERIFIED to CLOSED
